Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

Retrieve interaction stats for applicable users by date (/v2/stats/interaction)

Prev Next
Post
/v2/stats/interaction

Returns interaction stats for users based on calls that have Whisper turned on.

Required authorizaton scope: 'api:stats:interaction'.

Body parameters
Expand All
object
cursor
string

When paging is needed, provide the value supplied by the previous API call to bring the following page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM
filter
object (MultipleUsersWithDates) Required

Filter parameters.

fromDate
string Required

The date (in the company's time zone) from which to list a user's activity. This value is inclusive. The date should be specified in the following format: YYYY-MM-DD.

Example2019-01-20
toDate
string Required

The date (in the company's time zone) until which to list a user's activity. This value is exclusive. This value should not exceed the current day. The date should be specified in the following format: YYYY-MM-DD.

Example2019-01-21
createdFromDateTime
string (date-time)
createdToDateTime
string (date-time)
userIds
Array of string

Set of Gong's unique numeric identifiers for the users (up to 20 digits).

Example[ "234599484848423" ]
string
Responses
200

Successful response

Expand All
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
records
object (Records)

Information about the number of records that match the requested filter.

totalRecords
integer (int32)

Total number of records.

Example263
currentPageSize
integer (int32)

Number of records in the current page.

Example100
currentPageNumber
integer (int32)

Current page number.

Example0
cursor
string

Returned only when there are more records to be retrieved. Repeat the API call and pass this cursor value in the request to retrieve the next page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM
peopleInteractionStats
Array of object (InteractionStats)

A list of interaction statistics. Applicable values: 'Longest Monologue', 'Longest Customer Story', 'Interactivity', 'Patience', 'Question Rate'.

object

A list of interaction statistics. Applicable values: 'Longest Monologue', 'Longest Customer Story', 'Interactivity', 'Patience', 'Question Rate'.

userId
string

Gong's unique numeric identifier for the user (up to 20 digits).

Example234599484848423
userEmailAddress
string

The email address of the Gong user.

Exampletest@test.com
personInteractionStats
Array of object (InteractionStat)
object
name
string

Stat name

ExampleInteractivity
value
number (double)

Stat measurement (Can be either a double or integer)

Example9.23
timeZone
string

The company's defined timezone in Gong.

ExampleUS/Pacific
fromDateTime
string

The date and time in the ISO-8601 format, for example: '2024-01-17T16:20:05-03:00' or '2016-02-16T03:57:04.834+05:30' or '2020-11-20T21:30:07.233692Z', where Z stands for UTC, when the list of results starts.

Example2019-01-20T00:00:00-08:00
toDateTime
string

The date and time in the ISO-8601 format, for example: '2024-01-17T16:20:05-03:00' or '2016-02-16T03:57:04.834+05:30' or '2020-11-20T21:30:07.233692Z', where Z stands for UTC, when the list of results ends.

Example2019-01-21T000:00:00-08:00
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Access denied

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
404

No stats found for the specified period

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
429

API request limit exceeded

Headers
Retry-After
integer
Number of seconds to wait before making a new request.
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string